@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap');

.logo {
  display: inline-block;
  height: 50px;
  padding: 5px;
}

body {
  background-color: whitesmoke;
  font-size: 10px;
  font-family: 'Open Sans', sans-serif !important;
  overflow-x: hidden;
  height: 100%;
}

/* .container-fluid {
  height: 100%;
} */

/* Add a black background color to the top navigation */

.topnav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #333;
  font-size: 16px;
  margin-left: -15px;
  margin-right: -15px;
  padding: 5px 15px;

}

/* Style the links inside the navigation bar */

.topnav a {
  display: inline-block;
  color: #ddd;
  text-align: center;
  text-decoration: none;
  vertical-align: center;
  padding: 0px 25px;
  position: relative;
  top: 5px;
}

.anchor-link img {
  height: 26px;
  width: auto;
  position: relative;
  top: -3px;
}

/* Change the color of links on hover */

.topnav a:hover {
  color: #ddd;
  color: #98d1e5;
  text-decoration: none;
}

/* Add a color to the active/current link */

.topnav a.active {
  color: #98d1e5;
}

/* Right-aligned section inside the top navigation */

.topnav-right {
  color: white;
  padding: 10px 15px;
}

.topnav .anchor-link {
  position: relative;
}

.topnav li a::after {
  width: 1px;
  content: " ";
  background: #FFF;
  top: -8px;
  height: 36px;
  position: absolute;
  right: 0px;
  opacity: 0.5;
}

.topnav li:last-child a::after {
  display: none;
}

.text-underline {
  font-size: 19px;
  margin-bottom: 7px;
  padding-bottom: 4px;
}

.topnav ul {
  display: flex;
  margin-bottom: 0!important;
  padding: 0;
  list-style: none;
}

.topnav-right li {
  color: #fff;
}

.card-icon {
  float: right;
  font-size: 1.7rem;
}

#map {
  margin-top: 10px;
  width: 100%;
  /* height: 60%; */
  border: 1px solid black;
}

.bg-primary-gradient {
  background: rgb(118, 182, 228);
  background: -moz-linear-gradient(top, rgb(118, 182, 228) 0%, rgb(6, 92, 169) 100%, rgb(159, 216, 239) 100%, rgb(191, 232, 249) 100%);
  background: -webkit-linear-gradient(top, rgba(118, 182, 228, 1) 0%, rgba(6, 92, 169, 1) 100%, rgba(159, 216, 239, 1) 100%, rgba(191, 232, 249, 1) 100%);
  background: linear-gradient(to bottom, rgb(118, 182, 228) 0%, rgb(6, 92, 169) 100%, rgb(159, 216, 239) 100%, rgb(42, 121, 188) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#76b6e4', endColorstr='#bfe8f9', GradientType=0)
}

.bg-primary-gradient .card-header {
  background: rgb(118, 182, 228);
  background: -moz-linear-gradient(top, rgb(118, 182, 228) 0%, rgb(6, 92, 169) 100%, rgb(159, 216, 239) 100%, rgb(191, 232, 249) 100%);
  background: -webkit-linear-gradient(top, rgba(118, 182, 228, 1) 0%, rgba(6, 92, 169, 1) 100%, rgba(159, 216, 239, 1) 100%, rgba(191, 232, 249, 1) 100%);
  background: linear-gradient(to bottom, rgb(118, 182, 228) 0%, rgb(6, 92, 169) 100%, rgb(159, 216, 239) 100%, rgb(42, 121, 188) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#76b6e4', endColorstr='#bfe8f9', GradientType=0);
  position: relative;
  z-index: 10;
}

.bg-danger-gradient {
  background-image: linear-gradient(45deg, #f93a5a, #f7778c) !important;
}

.bg-success-gradient {
  background-image: linear-gradient(to left, #48d6a8 0%, #029666 100%) !important;
}

.bg-warning-gradient {
  background-image: linear-gradient(to left, #efa65f, #f76a2d) !important;
}

.bg-traffic-gradient {
  background-image: linear-gradient(to left, #b243c9, #b243c9) !important;
}

.bg-purple-gradient {
  background: rgb(181, 122, 178);
  background: -moz-linear-gradient(top, rgba(181, 122, 178, 1) 0%, rgba(149, 57, 142, 1) 40%, rgba(129, 40, 132, 1) 100%);
  background: -webkit-linear-gradient(top, rgba(181, 122, 178, 1) 0%, rgba(149, 57, 142, 1) 40%, rgba(129, 40, 132, 1) 100%);
  background: linear-gradient(to bottom, rgba(181, 122, 178, 1) 0%, rgba(149, 57, 142, 1) 40%, rgba(129, 40, 132, 1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b57ab2', endColorstr='#812884', GradientType=0);
}

.bg-red-gradient {
  background: rgb(239, 116, 118);
  background: -moz-linear-gradient(top, rgba(239, 116, 118, 1) 0%, rgba(231, 52, 81, 1) 40%, rgba(220, 24, 62, 1) 100%);
  background: -webkit-linear-gradient(top, rgba(239, 116, 118, 1) 0%, rgba(231, 52, 81, 1) 40%, rgba(220, 24, 62, 1) 100%);
  background: linear-gradient(to bottom, rgba(239, 116, 118, 1) 0%, rgba(231, 52, 81, 1) 40%, rgba(220, 24, 62, 1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ef7476', endColorstr='#dc183e', GradientType=0);
}

.bg-pink-gradient {
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#e570e7+0,c85ec7+47,a849a3+100;Pink+3D+%233 */
  background: #e570e7;
  /* Old browsers */
  background: -moz-linear-gradient(top, #e570e7 0%, #c85ec7 47%, #a849a3 100%);
  /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #e570e7 0%, #c85ec7 47%, #a849a3 100%);
  /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #e570e7 0%, #c85ec7 47%, #a849a3 100%);
  /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e570e7', endColorstr='#a849a3', GradientType=0);
  /* IE6-9 */
}

.cat-button {
  margin-bottom: 5px;
  padding: 6px 7px;
  background: #0786dc;
  color: white;
  border-radius: 2px;
  cursor: pointer;
  box-shadow: 1px 1px 2px #626262;
  margin-right: 12px;
  font-size: 24px;
  list-style: none;
  display: table;
  text-align: center;
}

.cat-button[data-what="close"] {
  opacity: 0.4;
}

.cat-button[data-category="1"] {
  background: #0786dc;
}

.cat-button[data-category="2"] {
  background: #f0566f;
}

#cat-buttons ul {
  padding: 0px;
}

.map-inner {
  position: relative;
}

#cat-buttons {
  position: absolute;
  z-index: 10;
  right: 0px;
  top: 60px;
}

.cat-button svg {
  width: 26px !important;
  display: table;
  margin: 0 auto;
}

.iot-info-cards .card {
  box-shadow: 1px 1px 4px #959595;
  /* border-radius: 2px; */
  margin-top: 11px;
  border: 0px !important;
  overflow: hidden;
  /* justify-content: center; */
  background: unset;
}

.iot-info-cards .card-body {
  background: #F8F8F8;
  color: #222;
  border-radius: 0px 0px 10px 10px;
}

.iot-info-cards .card-header {
  background: white;
  color: #555;
}

.text-underline {
  border-bottom: 1px solid #CBCBCB;
  padding-bottom: 3px;
}

.card-text {
  padding-bottom: 5px;
  margin-bottom: 0px;
}

.card-text-netbins {
  margin-bottom: 0px;
}

.color-lbl {
  display: inline-block;
  background: #222;
  width: 15px;
  height: 15px;
  position: relative;
  top: 3px;
  margin-right: 6px;
}

.color-lbl-green {
  background: #58B19F;
}

.color-lbl-red {
  background: #FD7272;
}

.color-lbl-netbin1 {
  background: #6D214F;
}

.color-lbl-netbin2 {
  background: #B33771;
}

.color-lbl-netbin3 {
  background: #FC427B;
}

.color-lbl-netbin4 {
  background: #1B9CFC;
}

.color-lbl-netbin5 {
  background: #EAB543;
}

.color-lbl-lamp1 {
  background: #2ed573;
}

.color-lbl-lamp2 {
  background: #3742fa;
}

.color-lbl-lamp3 {
  background: #747d8c;
}

.color-lbl-lamp4 {
  background: #eccc68;
}

.chart-div {
  position: relative;
  top: -30px;
  z-index: 5;
}

.iot-info-cards .card .card-header {
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#f5f6f6+0,dbdce2+100,b8bac6+100,dddfe3+100,f5f6f6+100 */
  background: #f5f6f6;
  /* Old browsers */
  background: -moz-linear-gradient(top, #f5f6f6 0%, #dbdce2 100%, #b8bac6 100%, #dddfe3 100%, #f5f6f6 100%);
  /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #f5f6f6 0%, #dbdce2 100%, #b8bac6 100%, #dddfe3 100%, #f5f6f6 100%);
  /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #f5f6f6 0%, #dbdce2 100%, #b8bac6 100%, #dddfe3 100%, #f5f6f6 100%);
  /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f5f6f6', endColorstr='#f5f6f6', GradientType=0);
  /* IE6-9 */
  padding: 8px 15px;
  border-bottom: 2px solid #7FDBFF;
}

.user-top-info {
  cursor: pointer;
}

.user-top-info-dropdown-menu {
  background: #222;
}

.dropdown-menu.user-top-info-dropdown-menu.show {
  background: #52555E;
  left: 0px !important;
  min-height: 67px;
  text-align: left;
  box-shadow: 1px 1px 10px #545454;
  min-width: unset !important;
  width: 150px !important;
  font-size: 15px;
  padding: 5px 10px !important;
}

.dropdown-menu.user-top-info-dropdown-menu a {
  padding-left: 0px;
}

.user-top-info i {
  font-size: 30px;
}

.username-top {
  margin-left: 5px;
  font-size: 17px;
  color: #98d1e5;
}

.card-text strong {
  font-size: 14px;
}

.card-text text {
  font-size: 14px;
  text-transform: capitalize;
}

.card-header img {
  height: 28px;
  width: auto;
  margin-right: 7px !important;
}

.lamps .card-text text, .pillars .card-text text {
    font-size: 13px;
}


@media screen and (max-width: 1300px) {
  /* .topnav ul {
    order: 3;
    display: block;
  } */
  .anchor-link img {
    display: none;
  }
  .anchor-link {
    font-size: .9rem;
  }
}


